Package org.opensaml.soap.wspolicy.impl

# Class OperatorContentTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObject
org.opensaml.soap.wspolicy.impl.OperatorContentTypeImpl

All Implemented Interfaces:
  `XMLObject`, `OperatorContentType`, `WSPolicyObject`

Direct Known Subclasses:
  `AllImpl`, `ExactlyOneImpl`, `PolicyImpl`

public class OperatorContentTypeImpl extends AbstractWSPolicyObject implements OperatorContentType
OperatorContentTypeImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
`xmlObjects`
All child elements.

### Fields inherited from interface org.opensaml.soap.wspolicy.OperatorContentType

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`OperatorContentTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<All>`
`getAlls()`
Get the list of `All` elements.
`List<ExactlyOne>`
`getExactlyOnes()`
Get the list of `ExactlyOne` elements.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<Policy>`
`getPolicies()`
Get the list of `Policy` elements.
`List<PolicyReference>`
`getPolicyReferences()`
Get the list of `PolicyReference` elements.
`List<XMLObject>`
`getXMLObjects()`
Get the complete modifiable list of XMLObject children.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the modifiable sublist of XMLObject children which match the specified type or element name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### xmlObjects

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> xmlObjects
All child elements.

## Constructor Details

### OperatorContentTypeImpl

public OperatorContentTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getAlls

@Nonnull public List<All> getAlls()
Get the list of `All` elements.

Specified by:
  `getAlls` in interface `OperatorContentType`
Returns:
  the list of `All` elements

### getExactlyOnes

@Nonnull public List<ExactlyOne> getExactlyOnes()
Get the list of `ExactlyOne` elements.

Specified by:
  `getExactlyOnes` in interface `OperatorContentType`
Returns:
  the list of `ExactlyOne` elements

### getPolicies

@Nonnull public List<Policy> getPolicies()
Get the list of `Policy` elements.

Specified by:
  `getPolicies` in interface `OperatorContentType`
Returns:
  the list of `Policy` elements

### getPolicyReferences

@Nonnull public List<PolicyReference> getPolicyReferences()
Get the list of `PolicyReference` elements.

Specified by:
  `getPolicyReferences` in interface `OperatorContentType`
Returns:
  the list of `PolicyReference` elements

### getXMLObjects

@Nonnull public List<XMLObject> getXMLObjects()
Get the complete modifiable list of XMLObject children.

Specified by:
  `getXMLObjects` in interface `OperatorContentType`
Returns:
  the list of `XMLObject` instances

### getXMLObjects

@Nonnull public List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the modifiable sublist of XMLObject children which match the specified type or element name.

Specified by:
  `getXMLObjects` in interface `OperatorContentType`
Parameters:
  `typeOrName` - the element name or xsi:type
Returns:
  the list of `XMLObject` instances

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements